summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-10-15 12:24:12 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-08-13 11:26:55 +0200
commite088156d5b620e5e639580dacf85c6dc13823c74 (patch)
tree57f5c025e203279944da512166c20bc0521d8ccd /lib/ps2ps2
downloadghostscript-gpl-patches-e088156d5b620e5e639580dacf85c6dc13823c74.tar.gz
ghostscript-gpl-patches-e088156d5b620e5e639580dacf85c6dc13823c74.tar.bz2
ghostscript-gpl-patches-e088156d5b620e5e639580dacf85c6dc13823c74.zip
Import Ghostscript 9.50ghostscript-9.50
Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'lib/ps2ps2')
-rwxr-xr-xlib/ps2ps226
1 files changed, 26 insertions, 0 deletions
diff --git a/lib/ps2ps2 b/lib/ps2ps2
new file mode 100755
index 00000000..26e520ae
--- /dev/null
+++ b/lib/ps2ps2
@@ -0,0 +1,26 @@
+#!/bin/sh
+# "Distill" PostScript with the Ghostscript 'ps2write' device
+# this generates a PDF-style stream with an attached
+# PostScript program to interpret it.
+
+# This definition is changed on install to match the
+# executable name set in the makefile
+GS_EXECUTABLE=gs
+
+OPTIONS="-P- -dSAFER"
+while true
+do
+ case "$1" in
+ -?*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -ne 2 ]; then
+ echo "Usage: `basename \"$0\"` [options] input.ps output.ps" 1>&2
+ echo " e.g. `basename \"$0\"` -sPAPERSIZE=a4 input.ps output.ps" 1>&2
+ exit 1
+fi
+
+exec $GS_EXECUTABLE -q -sDEVICE=ps2write -sstdout=%stderr "-sOutputFile=$2" -dNOPAUSE -dBATCH $OPTIONS "$1"